Vinix· docs
API referenceCore APICall ControlCallflows

List Callflows

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
GET
/accounts/{account_id}/callflows

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/accounts/string/callflows"
{
  "data": {
    "featurecode": {
      "name": "string",
      "number": "string"
    },
    "flags": [
      "string"
    ],
    "flow": {
      "children": {
        "property1": {
          "children": {},
          "data": {},
          "module": "string"
        },
        "property2": {
          "children": {},
          "data": {},
          "module": "string"
        }
      },
      "data": {},
      "module": "string"
    },
    "metaflow": {
      "binding_digit": "1",
      "digit_timeout": 0,
      "listen_on": "both",
      "numbers": {
        "property1": {
          "children": {
            "property1": {
              "children": {},
              "data": {},
              "module": "string"
            },
            "property2": {
              "children": {},
              "data": {},
              "module": "string"
            }
          },
          "data": {},
          "module": "string"
        },
        "property2": {
          "children": {
            "property1": {
              "children": {},
              "data": {},
              "module": "string"
            },
            "property2": {
              "children": {},
              "data": {},
              "module": "string"
            }
          },
          "data": {},
          "module": "string"
        }
      },
      "patterns": {
        "property1": {
          "children": {
            "property1": {
              "children": {},
              "data": {},
              "module": "string"
            },
            "property2": {
              "children": {},
              "data": {},
              "module": "string"
            }
          },
          "data": {},
          "module": "string"
        },
        "property2": {
          "children": {
            "property1": {
              "children": {},
              "data": {},
              "module": "string"
            },
            "property2": {
              "children": {},
              "data": {},
              "module": "string"
            }
          },
          "data": {},
          "module": "string"
        }
      }
    },
    "name": "string",
    "numbers": [],
    "patterns": [],
    "ringback": {
      "early": "string",
      "transfer": "string"
    }
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}